Subject: Re: [netmod] Y45 again

From: Jan Lindblad <[email-masked]>
Date: Wed, 1 Apr 2015 13:51:16 +0200

>> Another mechanism that's been used quite often for 'implementation
>> constants', like max values that vary between implementations or
>> over time, is to have a section of the model containing such constants
>> as config true values, but with access control rules effectively
>> preventing any operator from ever changing them. Like this:
> 
> Relying on immutable configuration feels like a hack, not a BCP.
> 
> If we want box-specific constants, we should call them out as
> a first-class construct.   I can certainly see their value,
> but they aren't config and shouldn't masquerade as such.

A first-class construct, great! I’m all for it. Do we have that on the Y-list? What would the construct look like?

/jan